Package org.h2.command.ddl

# Class CreateSynonymData

java.lang.Object
org.h2.command.ddl.CreateSynonymData

public class CreateSynonymData extends Object
The data required to create a synonym.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`id`
The object id.
`Schema`
`schema`
The schema.
`SessionLocal`
`session`
The session.
`String`
`synonymFor`
The name of the table the synonym is created for.
`Schema`
`synonymForSchema`
Schema synonymFor is located in.
`String`
`synonymName`
The synonyms name.

## Constructor Summary

Constructors
Constructor
Description
`CreateSynonymData()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### schema

public Schema schema
The schema.

### synonymName

public String synonymName
The synonyms name.

### synonymFor

public String synonymFor
The name of the table the synonym is created for.

### synonymForSchema

public Schema synonymForSchema
Schema synonymFor is located in.

### id

public int id
The object id.

### session

public SessionLocal session
The session.

## Constructor Details

### CreateSynonymData

public CreateSynonymData()